Subject: Extension Order

From: "Scott, Greg" <[email-masked]>
Date: Mon, 15 Nov 1999 15:44:28 -0500

There's been an in house discussion re whether the extension sequence should
have a certain order, i.e., one extension type should always proceed
another, the extensions should appear in OID order, order of appearance
doesn't matter, etc.

It seems to me that any implementation should be able to handle extensions
appropriately regardless of the order they appear in the cert.  

RFC 2459 doesn't indicate a specific order of appearance, but is anyone
aware of an accepted order for extensions?  Has anyone experienced a fault
brought on by the extensions of a cert appearing in a certain sequence?

R/s Greg
http://www-pki.itsi.disa.mil/